Classes | Typedefs | Enumerations | Functions
ras_c_ad.h File Reference

Ranging Service Client Adaptor. More...

`#include <stdint.h>`

Go to the source code of this file.

## Classes
struct | ras_c_ad_write_req_t
struct | ras_c_ad_write_rsp_t
struct | ras_c_ad_read_ntf_ind_data_t
struct | ras_c_ad_discover_rsp_t
struct | ras_c_ad_evt_t

## Typedefs
typedef void(* | ras_c_ad_evt_handler_t) (ras_c_ad_evt_t *p_evt)

## Enumerations
enum | ras_c_ad_evt_type_t { RAS_C_AD_EVT_INVALID = 0x00, RAS_C_AD_EVT_DISCOVER_COMPLETED = 0x01, RAS_C_AD_EVT_DISCOVER_FAILED = 0x02, RAS_C_AD_EVT_WRITE_RSP = 0x03, RAS_C_AD_EVT_WRITE_ERR = 0x04, RAS_C_AD_EVT_READ_RSP = 0x05, RAS_C_AD_EVT_SERVER_NOTIFY = 0x06, RAS_C_AD_EVT_SERVER_IND = 0x07 }
enum | ras_c_ad_char_type_t { RAS_C_AD_HANDLE_RAS_FEATURES = 0x00, RAS_C_AD_HANDLE_RT_RA_DATA = 0x01, RAS_C_AD_HANDLE_RT_RA_DATA_IND_NTF_CFG = 0x02, RAS_C_AD_HANDLE_ON_DEMAND_RA_DATA = 0x03, RAS_C_AD_HANDLE_ON_DEMAND_RA_DATA_IND_NTF_CFG = 0x04, RAS_C_AD_HANDLE_RAS_CP = 0x05, RAS_C_AD_HANDLE_RAS_CP_IND_NTF_CFG = 0x06, RAS_C_AD_HANDLE_RA_DATA_READY = 0x07, RAS_C_AD_HANDLE_RA_DATA_READY_IND_NTF_CFG = 0x08, RAS_C_AD_HANDLE_RA_DATA_OVERWRITE = 0x09, RAS_C_AD_HANDLE_RA_DATA_OVERWRITE_IND_NTF_CFG = 0x0A, RAS_C_AD_CHAR_HANDLE_CCCD_NB = 0x0B }

## Functions
sdk_err_t | ras_c_ad_init (ras_c_ad_evt_handler_t evt_handler)
sdk_err_t | ras_c_ad_read_char (uint8_t conn_idx, ras_c_ad_char_type_t read_char_type)
sdk_err_t | ras_c_ad_write_char (uint8_t conn_idx, ras_c_ad_write_req_t *p_write_req)
sdk_err_t | ras_c_ad_start_discov_srvc (uint8_t conn_idx)
void | ras_c_ad_disconnect_handler (uint8_t conn_idx)

## Detailed Description

Ranging Service Client Adaptor.

Attention
  #####Copyright (c) 2024 GOODIX All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. Neither the name of GOODIX nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file ras_c_ad.h.

## Typedef Documentation

## ◆ ras_c_ad_evt_handler_t

typedef void(* ras_c_ad_evt_handler_t) (ras_c_ad_evt_t *p_evt)

Definition at line 116 of file ras_c_ad.h.

## Enumeration Type Documentation

## ◆ ras_c_ad_char_type_t

enum ras_c_ad_char_type_t

Enumerator
RAS_C_AD_HANDLE_RAS_FEATURES |
RAS_C_AD_HANDLE_RT_RA_DATA |
RAS_C_AD_HANDLE_RT_RA_DATA_IND_NTF_CFG |
RAS_C_AD_HANDLE_ON_DEMAND_RA_DATA |
RAS_C_AD_HANDLE_ON_DEMAND_RA_DATA_IND_NTF_CFG |
RAS_C_AD_HANDLE_RAS_CP |
RAS_C_AD_HANDLE_RAS_CP_IND_NTF_CFG |
RAS_C_AD_HANDLE_RA_DATA_READY |
RAS_C_AD_HANDLE_RA_DATA_READY_IND_NTF_CFG |
RAS_C_AD_HANDLE_RA_DATA_OVERWRITE |
RAS_C_AD_HANDLE_RA_DATA_OVERWRITE_IND_NTF_CFG |
RAS_C_AD_CHAR_HANDLE_CCCD_NB |

Definition at line 61 of file ras_c_ad.h.

## ◆ ras_c_ad_evt_type_t

enum ras_c_ad_evt_type_t

Enumerator
RAS_C_AD_EVT_INVALID |
RAS_C_AD_EVT_DISCOVER_COMPLETED |
RAS_C_AD_EVT_DISCOVER_FAILED |
RAS_C_AD_EVT_WRITE_RSP |
RAS_C_AD_EVT_WRITE_ERR |
RAS_C_AD_EVT_READ_RSP |
RAS_C_AD_EVT_SERVER_NOTIFY |
RAS_C_AD_EVT_SERVER_IND |

Definition at line 49 of file ras_c_ad.h.

## Function Documentation

## ◆ ras_c_ad_disconnect_handler()

void ras_c_ad_disconnect_handler | ( | uint8_t | conn_idx | ) |

## ◆ ras_c_ad_init()

sdk_err_t ras_c_ad_init | ( | ras_c_ad_evt_handler_t | evt_handler | ) |

## ◆ ras_c_ad_read_char()

sdk_err_t ras_c_ad_read_char | ( | uint8_t | conn_idx,
|  | ras_c_ad_char_type_t | read_char_type
| ) |  |

## ◆ ras_c_ad_start_discov_srvc()

sdk_err_t ras_c_ad_start_discov_srvc | ( | uint8_t | conn_idx | ) |

## ◆ ras_c_ad_write_char()

sdk_err_t ras_c_ad_write_char | ( | uint8_t | conn_idx,
|  | ras_c_ad_write_req_t * | p_write_req
| ) |  |